
#ifndef LIRIWAYLANDSERVER_EXPORT_H
#define LIRIWAYLANDSERVER_EXPORT_H

#ifdef LIRIWAYLANDSERVER_STATIC_DEFINE
#  define LIRIWAYLANDSERVER_EXPORT
#  define LIRIWAYLANDSERVER_NO_EXPORT
#else
#  ifndef LIRIWAYLANDSERVER_EXPORT
#    ifdef LIRI_BUILD_WAYLANDSERVER_LIB
        /* We are building this library */
#      define LIRIWAYLANDSERVER_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define LIRIWAYLANDSERVER_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef LIRIWAYLANDSERVER_NO_EXPORT
#    define LIRIWAYLANDSERVER_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef LIRIWAYLANDSERVER_DEPRECATED
#  define LIRIWAYLANDSERVER_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef LIRIWAYLANDSERVER_DEPRECATED_EXPORT
#  define LIRIWAYLANDSERVER_DEPRECATED_EXPORT LIRIWAYLANDSERVER_EXPORT LIRIWAYLANDSERVER_DEPRECATED
#endif

#ifndef LIRIWAYLANDSERVER_DEPRECATED_NO_EXPORT
#  define LIRIWAYLANDSERVER_DEPRECATED_NO_EXPORT LIRIWAYLANDSERVER_NO_EXPORT LIRIWAYLANDSERVER_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef LIRIWAYLANDSERVER_NO_DEPRECATED
#    define LIRIWAYLANDSERVER_NO_DEPRECATED
#  endif
#endif

#endif /* LIRIWAYLANDSERVER_EXPORT_H */
